cURL
curl --request GET \ --url https://statsigapi.net/console/v1/dashboards \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Dashboards Listed Successfully", "data": [ { "id": "dashboard_id", "name": "My Dashboard", "description": "desc", "defaults": { "date": { "value": 14, "unit": "day" }, "granularity": "daily" }, "created_time": 1736208000, "modified_time": 1736294400, "widget_count": 1, "is_verified": true } ], "pagination": { "itemsPerPage": 20, "pageNumber": 1, "nextPage": null, "previousPage": null, "totalItems": 1, "all": "/console/v1/dashboards" } }
Results per page
10
Page number
1
Filter dashboards by name using a partial match.
"growth"
List dashboards response
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
Pagination metadata for checking if there is next page for example.
Was this page helpful?